import {ApplicationConfig, provideZoneChangeDetection} from '@angular/core';
import {provideRouter} from '@angular/router';

import {routes} from './app.routes';
import {provideHttpClient} from '@angular/common/http';
import {initializeApp, provideFirebaseApp} from '@angular/fire/app';
import {getFirestore, provideFirestore} from '@angular/fire/firestore';

const firebaseConfig = {
  apiKey: "AIzaSyAI_7olJlCnHZ4ivhUuUZMtRuJS7tzXP0Y",
  authDomain: "tv-site-71802.firebaseapp.com",
  projectId: "tv-site-71802",
  storageBucket: "tv-site-71802.firebasestorage.app",
  messagingSenderId: "763313630033",
  appId: "1:763313630033:web:5c235904650d473e864170",
  measurementId: "G-7Y15VZF887"
};

export const appConfig: ApplicationConfig = {
  providers: [
    provideZoneChangeDetection({eventCoalescing: true}),
    provideRouter(routes),
    provideHttpClient(),
    provideFirebaseApp(() => initializeApp(firebaseConfig)),
    provideFirestore(() => getFirestore())
  ]
};
