import {Component, Input} from '@angular/core';
import {BehaviorSubject} from 'rxjs';
import {Show} from '../../model/show';
import {AsyncPipe} from '@angular/common';

@Component({
  selector: 'app-show-details',
  standalone: true,
  imports: [
    AsyncPipe
  ],
  templateUrl: './show-details.component.html',
  styleUrl: './show-details.component.css'
})
export class ShowDetailsComponent {
  @Input() detailShow$?: BehaviorSubject<Show>;
}
